Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSUnifiedPortalService Class Reference

The UnifiedPortalService provides access to Unified Portal features. More...

`#import <CSUnifiedPortalService.h>`

Inherits NSObject.

## Instance Methods
(void) | - getResourcesWithConfiguration:completionHandler:
| Get the Unified Portal resources. More...
(void) | - getResourcesWithConfiguration:conferenceId:completionHandler:
| Get the Unified Portal resources. More...
(void) | - requestToJoinMeetingWithConfiguration:conferenceId:userName:presentationOnlyMode:callbackNumber:oneTimePin:completionHandler:
| Request to join Meet-me conference. More...
(void) | - getPortalUserTokenWithConfiguration:completionHandler:
| Get the Portal user token. More...
(void) | - getPortalUserTokenWithConfiguration:conferenceId:completionHandler:
| Get the Portal user token. More...
(void) | - sendClientInfoWithConfiguration:clientSessionId:clientInfo:completionHandler:
| Send client info to Unified Portal. More...

## Properties
id< CSUnifiedPortalServiceDelegate > | delegate
| The delegate responsible for handling unified portal service related events. More...
BOOL | serviceAvailable
| Returns YES if the Unified Portal service is available. More...

## Detailed Description

The UnifiedPortalService provides access to Unified Portal features.

## Method Documentation

- (void) getPortalUserTokenWithConfiguration: |  | (CSUnifiedPortalConfiguration *) | unifiedPortalConfiguration
completionHandler: |  | (GetPortalUserTokenCompletionHandler) | handler

Get the Portal user token.

Parameters

  unifiedPortalConfiguration | Server configuration that will be used for this request.
  handler | The completion handler for this operation.

- (void) getPortalUserTokenWithConfiguration: |  | (CSUnifiedPortalConfiguration *) | unifiedPortalConfiguration
conferenceId: |  | (NSString *) | conferenceId
completionHandler: |  | (GetPortalUserTokenCompletionHandler) | handler

Get the Portal user token.

Parameters

  unifiedPortalConfiguration | Server configuration that will be used for this request.
  conferenceId | The optional conference virtual room number used by Unified Portal for proper tenant selection. May be null.
  handler | The completion handler for this operation.

- (void) getResourcesWithConfiguration: |  | (CSUnifiedPortalConfiguration *) | unifiedPortalConfiguration
completionHandler: |  | (GetResourcesCompletionHandler) | handler

Get the Unified Portal resources.

Parameters

  unifiedPortalConfiguration | Server configuration that will be used for this request.
  handler | The completion handler for this operation.

- (void) getResourcesWithConfiguration: |  | (CSUnifiedPortalConfiguration *) | unifiedPortalConfiguration
conferenceId: |  | (NSString *) | conferenceId
completionHandler: |  | (GetResourcesCompletionHandler) | handler

Get the Unified Portal resources.

Parameters

  unifiedPortalConfiguration | Server configuration that will be used for this request.
  conferenceId | The optional conference virtual room number used by Unified Portal for proper tenant selection. May be null.
  handler | The completion handler for this operation.

- (void) requestToJoinMeetingWithConfiguration: |  | (CSUnifiedPortalConfiguration *) | unifiedPortalConfiguration
conferenceId: |  | (NSString *) | conferenceId
userName: |  | (NSString *) | meetMeUserName
presentationOnlyMode: |  | (BOOL) | isPresentationOnlyMode
callbackNumber: |  | (NSString *) | callBackNumber
oneTimePin: |  | (NSString *) | oneTimePin
completionHandler: |  | (RequestToJoinMeetingCompletionHandler) | handler

Request to join Meet-me conference.

If successful, the meeting info will be provided via completion handler.

Parameters

  unifiedPortalConfiguration | Server configuration that will be used for this request.
  conferenceId | The conference virtual room number to join.
  meetMeUserName | The user display name. Mandatory when joining the meeting as guest.
  isPresentationOnlyMode | When set to true, join the meeting in presentation only mode.
  callBackNumber | The conference server will call back to this number when joining the meeting in presentation only mode.
  oneTimePin | One time PIN. Mandatory when virtual room is one time PIN protected. Virtual room owner shall create and provide one time PIN to start the meeting. Non-owners shall provide one time PIN to join the meeting.
  handler | The completion handler for this operation.

- (void) sendClientInfoWithConfiguration: |  | (CSUnifiedPortalConfiguration *) | unifiedPortalConfiguration
clientSessionId: |  | (NSString *) | clientSessionId
clientInfo: |  | (NSString *) | clientInfo
completionHandler: |  | (SendClientInfoCompletionHandler) | handler

Send client info to Unified Portal.

Used by desktop clients which are launched by portal and receive client detection session id for sending client information back to portal.

Parameters

  unifiedPortalConfiguration | Server configuration that will be used for this request.
  clientSessionId | The session id passed by portal to client.
  clientInfo | String-serialized client info. Passed to the portal as is, without any preprocessing.
  handler | The completion handler for this operation.

## Property Documentation

- (id<CSUnifiedPortalServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling unified portal service related events.

- (BOOL) serviceAvailable
| read nonatomic assign

Returns YES if the Unified Portal service is available.

Returns
  YES if the Unified Portal service is available.

The documentation for this class was generated from the following file:

- CSUnifiedPortalService.h